%global pypi_name geoip2
%global srcname GeoIP2-python
%global desc This package provides an API for the GeoIP2 web services.
%global test_data MaxMind-DB
%global test_data_rls 6678894eca7ccd42d6c1456735121d2ac3048e36

Name:           python3-%{pypi_name}
Version:        2.4.0
Release:        3%{?dist}
Summary:        MaxMind GeoIP2 API

License:        ASL 2.0
URL:            http://www.maxmind.com/
Source0:        https://github.com/maxmind/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Source1:        https://github.com/maxmind/%{test_data}/archive/%{test_data_rls}/%{test_data}-%{test_data_rls}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-requests-mock
BuildRequires:  python34-setuptools
BuildRequires:  python34-devel
BuildRequires:  python3-maxminddb
%{?python_provide:%python_provide python34-%{pypi_name}}
Requires:       python3-maxminddb

%description
%{desc}

%package doc
Summary:        Documentation for %{name}
BuildRequires:  /usr/bin/sphinx-build

%description doc
This package provides the documentation for %{pypi_name}.

%prep
%autosetup -n %{srcname}-%{version} -a 1
rmdir tests/data
mv -f %{test_data}-%{test_data_rls} tests/data
rm -rf %{pypi_name}.egg-info

%build
%py3_build
sphinx-build -b html docs html

%install
%py3_install

# Unittester cannot find the test scripts; no tests for us... :(
#%check
#PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} setup.py test

%files doc
%doc html/
%license LICENSE

%files
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Wed Oct 19 2016 Alexander Pavel <anp120@nbcs.rutgers.edu> - 2.4.0-3
- Rebuild for Rutgers CentOS 7
- Only build python3

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 15 2016 Lumir Balhar <lbalhar@redhat.com> - 2.4.0-1
- Initial package.
